<?php
//creation dossier
function dossier()
{
	global $chemin_dossier_image;
	
	$dossiers_image = explode("/",$chemin_dossier_image); //met le chemin dans un tableau
	chdir($_SERVER['DOCUMENT_ROOT']);
	
	for ($i=0;$i<count($dossiers_image);$i++)

	{
		$dossier = $chemin.$dossiers_image[$i];
		$chemin = $dossier."/";
		if (!is_dir($chemin)) {
			mkdir ($chemin);
		}
	}
}	

//creation miniature
function miniature($orig, $min) //Orignial, Miniature
{
	global $min_reso_L,$min_reso_H,$img_click,$typejpg,$typegif,$typepng;
	
	$type =  substr(strrchr($orig, '.'), 1);

	if (in_array($type,$typejpg))
		{	$origtmp = ImageCreateFromJpeg($orig);	}	//les jpeg
	elseif (in_array($type,$typegif))
		{	$origtmp = ImageCreateFromGif($orig);	}	//les gif
	elseif (in_array($type,$typepng))
		{	$origtmp = ImageCreateFromPng($orig);	}	// les png
	else	
		{	exit("erreur dans la fonction miniature() : extention inconnue");	}
	
	$Lorig = imagesx($origtmp);
	$Horig = imagesy($origtmp);
	
	if ($Lorig <= $min_reso_L && $Horig <= $min_reso_H)
	{
		$img_click = false;
	}
	else
	{
		$img_click = true;
		// trouve les dimensions de la miniature
		if ($Lorig <= ($min_reso_L / $min_reso_H * $Horig)) {
			$Hmin = $min_reso_H;
			$Lmin = ($min_reso_H / $Horig) * $Lorig;
		} else {
			$Lmin = $min_reso_L;
			$Hmin = ($min_reso_L / $Lorig) * $Horig;
		}
		$imgtmp = ImageCreateTrueColor ($Lmin, $Hmin) 
			or die ("Erreur lors de la création de l'image");
		
		ImageCopyResampled($imgtmp, $origtmp, 0, 0, 0, 0, $Lmin, $Hmin, $Lorig, $Horig);
		ImageString($imgtmp, 0, 12, $hauteurDestination-18, "$fichierSource - ($largeurSource x $hauteurSource)", $blanc);
		
		if (($type == 'jpeg')||($type == 'jpg'))
			{	ImageJpeg($imgtmp, $min);	}	//les jpeg
		elseif ($type == ('gif'))
			{	ImageGif($imgtmp, $min);	}	//les gif
		else //($type == ('png'))
			{	ImagePng($imgtmp, $min);	}	//les png
	}
}

//envoie fichier venant du disque dur
function envoi($fichier)
{
	global $extensions_ok, $chemin_dossier_image, $taille_max;
	
	chdir($_SERVER['DOCUMENT_ROOT']);
	//$chemin = $_SERVER['DOCUMENT_ROOT'];
	$dest_dossier = $chemin_dossier_image.'/';
	$itisimg = 1; //c'est une image (initialisation de la variable)


	// vérifications de l'extention
	if( !in_array( substr(strrchr($_FILES[$fichier]['name'], '.'), 1), $extensions_ok ) )
	{
		$msgerreur = "[Erreur]    N'est pas un fichier de type png, gif ou jpg !";
		$erreur = $erreur + 1;
		$itisimg = 0;
	}
	// vérification de la taille max
	elseif( file_exists($_FILES[$fichier]['tmp_name'])
		and filesize($_FILES[$fichier]['tmp_name']) > $taille_max)
	{
		$msgerreur = '[Erreur]    Fichier plus gros que '.($taille_max/1048576).'Mo !';
		$erreur = $erreur + 1;
		$itisimg = 0;
	}
	
	// si c'est une image envoie et reduction de l'image
	if($itisimg == 1)
	{
		//modif de variable serveur (marche pas chez free.fr)
		//ini_set('memory_limit', $taille_max); // en octets
		//set_time_limit(3600); // en secondes
		
		// COPIE FICHIER
		$dest_fichier = basename($_FILES[$fichier]['name']);
		// nettoyage nom fichier
		// enlever les accents
		$dest_fichier = strtr($dest_fichier,
			'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ',
			'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
		// remplacer les caracteres autres que lettres, chiffres et point par _
		$dest_fichier = preg_replace('/([^.a-z0-9]+)/i', '_', $dest_fichier);
		// copie du fichier
		move_uploaded_file($_FILES[$fichier]['tmp_name'], $dest_dossier . $dest_fichier);
		// creation de la miniature
		$orig = $dest_dossier . $dest_fichier;
		$min = $dest_dossier.'mini_'.$dest_fichier;
		miniature($orig, $min);
		$msgerreur = "[OK]        Envoi et reduction effectués";
		
		lien($orig,$min);
	}
	else {echo $msgerreur;}
}

// Copie de fichier venant d'internet
function copier($img_web)
{
	global $extensions_ok, $chemin_dossier_image, $taille_max;
	
	chdir($_SERVER['DOCUMENT_ROOT']);
	//$chemin = $_SERVER['DOCUMENT_ROOT'];
	$dest_dossier = $chemin_dossier_image.'/';
	
	$orig = substr(strrchr($img_web, '/'), 1);
	
	$itisimg = 1; //c'est une image (initialisation de la variable)
	
	//le champ champ d'envoie est-il vide ?
	if($img_web == null)
	{
		$msgerreur = "[Attention] Le champ d'envoi est vide !";
		$itisimg = 0;
	}
	
	// vérifications de l'extention
	elseif( !in_array( substr(strrchr($orig, '.'), 1), $extensions_ok ) )
	{
		$msgerreur = "[Erreur]    N'est pas un fichier de type png, gif ou jpg !";
		$itisimg = 0;
	}
	
	// si c'est une image copy et reduction de l'image
	if($itisimg == 1)
	{
		if (!copy($img_web, $dest_dossier.$orig)) 
		{	echo "La copie du fichier $img_web n'a pas réussi...\n";	}
		// creation de la miniature
		$min = $dest_dossier.'mini_'.$orig;
		$orig = $dest_dossier . $orig;
		miniature($orig, $min);
		//
		lien($orig,$min);
	}
	else {echo $msgerreur;}
}

//Creation des liens et affichage de ceux-ci
Function lien($orig, $min)
{
	global	/*Globale*/ $img_click, $chemin_dossier_image,
		/*Code wiki*/ $code_wiki_gauche, $code_wikiclick_gauche, $code_wiki_droite, $code_wikiclick_droite, $code_wiki_centre, $code_wikiclick_centre, $code_wiki_caract, $code_wikiclick_caract,
		/*code HTML*/ $code_html_gauche, $code_htmlclick_gauche, $code_html_droite, $code_htmlclick_droite, $code_html_centre, $code_htmlclick_centre, $code_html_caract, $code_htmlclick_caract;
		
	$min  = '/'.$chemin_dossier_image.'/'.substr(strrchr($min, '/'), 1);
	$orig = '/'.$chemin_dossier_image.'/'.substr(strrchr($orig, '/'), 1);
	$texte = $_POST['texte'];
	
	//Insertion en HTML
	if ($_POST['format']=="html_gauche")
	{
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_htmlclick_gauche);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_html_gauche);	}
	}
	else if ($_POST['format']=="html_droite")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_htmlclick_droite);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_html_droite);	}
	}
	else if ($_POST['format']=="html_centre")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_htmlclick_centre);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_html_centre);	}
	}
	else if ($_POST['format']=="html_caract")	//Insertion html image comme caractère
	{
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_htmlclick_caract);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_html_caract);	}
	} 
	//Insertion en WIKI
	else if ($_POST['format']=="wiki_gauche")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wikiclick_gauche);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wiki_gauche);	}
	}
	else if ($_POST['format']=="wiki_droite")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wikiclick_droite);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wiki_droite);	}
	}
	else if ($_POST['format']=="wiki_centre")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wikiclick_centre);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wiki_centre);	}
	}
	else if ($_POST['format']=="wiki_caract")
	{		
		if ($img_click)
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wikiclick_caract);	}
		else
		{	$lien = str_replace(array('%min%','%orig%','%texte%'), array($min,$orig,$texte), $code_wiki_caract);	}
	}


	?>
	
	<script type="text/javascript" src="../../js/toolbar.js"></script>
	<script type="text/javascript">
		if (document.getElementById) {
			var tbImg = new dcToolBar(window.opener.document.getElementById('p_content'),
			window.opener.document.getElementById('p_format'),'images/');
		}
		tbImg.insImgClick('<?php echo $lien?>');
		window.close();
	</script>
	<?php
}

// Retourner au debut
Function retour()
{
	?><p style="text-align : center; vertical-align : bottom;"><a href="clickimage.php?format=<?php echo $_GET['format']?>">[retour]</a></p><?php
}

// En fonction de l'activation des magic_quotes_gpc protège ou non la chaine de caractères
Function add_quotes($chaine)
{
	if (get_magic_quotes_gpc())
	{
		return str_replace("\'","\\\\\'",$chaine);
	} else {
		return str_replace("\'","\\\\\'",addslashes($chaine));
	}
}

Function config_old()
{
	global $dir_clickimage;

	if ($_POST['suppr_config_old'])
	{
		foreach (glob("$dir_clickimage*.old") as $file_a_suppr) 
		{
			//echo "$filename size " . filesize($filename) . "\n";
			unlink($file_a_suppr);
		}
	}
	
	if ($config_old = glob("$dir_clickimage*.old"))
	{
		$nb_config_old = count($config_old);
		if ($nb_config_old==1)	{$fichier=" fichier";  $cefichier="ce fichier";  } //singulier
		else/*$nb_config_old>1*/{$fichier=" fichiers"; $cefichier="ces fichiers";} //pluriel
		
		return 'Il y a '.$nb_config_old.$fichier.' sauvegarde du fichier de configuration <INPUT type="submit" name="suppr_config_old" value="Supprimer '.$cefichier.'">';
	}
}
?>